<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd">
	
	<bean id="persistenceAuditClobStore" class="gov.va.med.cds.audit.persistence.hibernate.PersistAuditStore">
		<property name="hibernateTemplate" ref="auditClobHibernateTemplate" />
	</bean>
	
	<bean id="auditClobHibernateTemplate" class="org.springframework.orm.hibernate4.HibernateTemplate">
		<property name="sessionFactory" ref="auditClobSessionFactory" />
	</bean>
	
	<bean id="auditClobSessionFactory" class="org.springframework.orm.hibernate4.LocalSessionFactoryBean">
		<property name="dataSource" ref="hdrDataSource" />
		<property name="mappingResources">
			<list>
				<value>gov/va/med/cds/audit/persistence/hibernate/CdsAuditClobStore.hbm.xml</value>
				<value>gov/va/med/cds/audit/persistence/hibernate/PathwaysAuditClobStore.hbm.xml</value>
				<value>gov/va/med/cds/audit/persistence/hibernate/TemplateId.hbm.xml</value>				
			</list>
		</property>
		<property name="hibernateProperties">
			<props>
				<prop key="hibernate.dialect">org.hibernate.dialect.Oracle10gDialect</prop>
				<prop key="hibernate.show_sql">${hibernate.show.sql}</prop>
			</props>
		</property>
	</bean>
	
</beans>